Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query
Enum FTOpt.FTMode

    java.lang.Object
      java.lang.Enum<FTOpt.FTMode>
          org.basex.query.FTOpt.FTMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FTOpt.FTMode>

Enclosing class:
  FTOpt

    public static enum FTOpt.FTMode

extends java.lang.Enum<FTOpt.FTMode>

Words mode.

Enum Constant Summary
`ALL` All option.
`ALLWORDS` All words option.
`ANY` Any option.
`ANYWORD` Any words option.
`PHRASE` Phrase search.

Method Summary
`static FTOpt.FTMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FTOpt.FTMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final FTOpt.FTMode ALL

  All option.

### ALLWORDS

    public static final FTOpt.FTMode ALLWORDS

  All words option.

### ANY

    public static final FTOpt.FTMode ANY

  Any option.

### ANYWORD

    public static final FTOpt.FTMode ANYWORD

  Any words option.

### PHRASE

    public static final FTOpt.FTMode PHRASE

  Phrase search.

Method Detail

### values

    public static FTOpt.FTMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FTOpt.FTMode c : FTOpt.FTMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FTOpt.FTMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD